# $Revision: 1.8 $, $Date: 2010/08/22 08:51:01 $
%include	/usr/lib/rpm/macros.php
%define		_class		File
%define		_subclass	Fortune
%define		_status		stable
%define		_pearname	File_Fortune

Summary:	%{_pearname} - interface for reading from and writing to fortune files
Summary(pl.UTF-8):	%{_pearname} - interfejs do odczytu i zapisywania plików fortunek
Name:		php-pear-%{_pearname}
Version:	1.0.0
Release:	3
License:	PHP
Group:		Development/Languages/PHP
Source0:	http://pear.php.net/get/%{_pearname}-%{version}.tgz
# Source0-md5:	790f547447ade697d4227eca00107dec
URL:		http://pear.php.net/package/File_Fortune/
BuildRequires:	php-pear-PEAR
BuildRequires:	rpm-php-pearprov >= 4.4.2-11
BuildRequires:	rpmbuild(macros) >= 1.300
Requires:	php-pear
Requires:	php-pear-PEAR-core >= 1.3.4
BuildArch:	noarch
BuildRoot:	%{tmpdir}/%{name}-%{version}-root-%(id -u -n)

%description
File_Fortune provides a PHP interface to reading fortune files. With
it, you may retrieve a single fortune, a random fortune, or all
fortunes in the file.

File_Fortune_Writer provides an interface for manipulating the
contents of a fortune file. It allows you to write a complete fortune
file and the associated binary header file from an array of fortunes.
You may also add fortunes, delete fortunes, or update individual
fortunes in a fortune file. All write operations will produce a binary
header file to allow for greater compatability with the fortune and
fortune-mod programs (as well as other fortune interfaces).

In PEAR status of this package is: %{_status}.

%description -l pl.UTF-8
File_Fortune dostarcza interfejs PHP do odczytu plików z fortunkami.
Przy jego użyciu możliwe jest odczytanie pojedynczej lub losowej
fortunki, jak również wszystkie fortunki z pliku.

File_Fortune_Writer dostarcza interfejs do obróbki zawartości pliku z
fortunkami. Pozwala na zapisywanie do pliku zestawu fortunek jak
również odpowiedniego binarnego nagłówka. Możliwe jest także
dodawanie, usuwanie lub modyfikowanie poszczególnych fortunek.
Operacje zapisu stworzą binarny plik z nagłówkami pozwalający na
większą zgodność z plikami fortune i fortune-mod (jak również z innymi
interfejsami do fortunek).

Ta klasa ma w PEAR status: %{_status}.

%package tests
Summary:	Tests for PEAR::%{_pearname}
Summary(pl.UTF-8):	Testy dla PEAR::%{_pearname}
Group:		Development
Requires:	%{name} = %{version}-%{release}
AutoReq:	no

%description tests
Tests for PEAR::%{_pearname}.

%description tests -l pl.UTF-8
Testy dla PEAR::%{_pearname}.

%prep
%pear_package_setup

%install
rm -rf $RPM_BUILD_ROOT
install -d $RPM_BUILD_ROOT%{php_pear_dir}
%pear_package_install

%clean
rm -rf $RPM_BUILD_ROOT

%files
%defattr(644,root,root,755)
%doc install.log docs/%{_pearname}/tutorials/File_Fortune.cls
%{php_pear_dir}/.registry/*.reg
%{php_pear_dir}/data/%{_pearname}
%{php_pear_dir}/File/Fortune
%{php_pear_dir}/File/Fortune.php

%files tests
%defattr(644,root,root,755)
%{php_pear_dir}/tests/File_Fortune/

%define date	%(echo `LC_ALL="C" date +"%a %b %d %Y"`)
%changelog
* %{date} PLD Team <feedback@pld-linux.org>
All persons listed below can be reached at <cvs_login>@pld-linux.org

$Log: php-pear-File_Fortune.spec,v $
Revision 1.8  2010/08/22 08:51:01  glen
- ensure rpmbuild macros present

Revision 1.7  2008/01/31 12:16:48  glen
- rel 3

Revision 1.6  2007-11-12 15:10:30  glen
- req just PEAR-core; rel 2

Revision 1.5  2007-08-26 08:42:11  adamg
- updated to 1.0.0

Revision 1.4  2007/02/13 08:06:39  glen
- tabs in preamble

Revision 1.3  2007/02/12 01:06:44  baggins
- converted to UTF-8

Revision 1.2  2006/09/10 16:55:45  qboosh
- typos, missing dirs

Revision 1.1  2006/09/03 19:17:20  adamg
- new
